TREE
nged
BRL-CAD
BRL-CAD MGED Commands

# tree

Lists the contents of the specified objects in a tree-like format that displays the hierarchical structure of the objects, and all objects referenced by them, down to the primitive shape level.

        tree

        objects(s)
        -a
        -c
        -i#
        -ooutfile

## DESCRIPTION

Lists the contents of the specified objects in a tree-like format that displays the hierarchical structure of the objects, and all objects referenced by them, down to the primitive shape level. If -c is given, the shapes are not printed. The -a option adds a list of any attributes for each object. Attributes are shown with a leading "@ " and are followed by their values. The -o outfile option prints the results to outfile. The -i # option allows the user to set the number of spaces to indent.

## EXAMPLES

The first example shows the use of the `tree` command to list the contents of specified objects hierarchically. The second and third examples show the use of the `tree` command with arguments.

### Show the structure of an object down to the primitive shape level.

mged>`tree group1`

Shows the structure of the tree rooted at group1 down to the primitive shape level.

### Specify the amount of indentation in the tree.

mged>`tree -i2 group1`

Uses two spaces for each level of indentation.

### Specify that no shapes are to be printed.

mged>`tree -c group1`

No shapes are printed.

### Specify that attributes are listed for each object printed.

mged>`tree -a -c group1`

No shapes are printed, but attributes are shown for the printed objects.

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.